Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1182479 - New Default Console Font
Summary: New Default Console Font
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SelfContainedChange
Depends On: 1146002 1182527 1209460
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-15 09:02 UTC by Jaroslav Reznik
Modified: 2015-08-10 12:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
== New Default Console Font == The default console font in Fedora 22 has been changed to eurlatgr. The new font has the same typeface as the previously used latarcyrheb-sun16 font, but supports a broader range of characters from the Latin and Greek alphabets as well as some commonly used symbols. Users should therefore notice less replacement characters displayed on console when texts using non-ASCII characters are being displayed. The eurlatgr font does not support Arabic, Cyrillic and Hebrew characters; texts written in these alphabets will continue to use latarcyrheb-sun16. Full documentation detailing supported code pages and characters is available in the font's README file. (http://git.altlinux.org/people/legion/packages/kbd.git?p=kbd.git;a=blob;f=data/consolefonts/README.eurlatgr)
Clone Of:
Environment:
Last Closed: 2015-07-21 10:28:25 UTC
Type: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)
f23-eurlat-latarcyrheb-sun16-comparison.png (16.23 KB, image/png)
2015-08-05 13:53 UTC, Mike FABIAN
no flags Details

Description Jaroslav Reznik 2015-01-15 09:02:15 UTC
This is a tracking bug for Change: New Default Console Font
For more details, see: https://fedoraproject.org//wiki/Changes/NewDefaultConsoleFont

A new console font, eurlatgr, was recently added to kbd and it should be better default console font for European based languages written in Latin or Greek script. eurlatgr is based on latarcyrheb-sun16 so the typeface does not change.

Comment 1 Marko Myllynen 2015-01-15 12:21:55 UTC
While double checking all the possible related components (anaconda, dracut, langtable, systemd) it turned out that Anaconda also needs a one-liner patch, I submitted a bug and a patch for it at:

https://bugzilla.redhat.com/show_bug.cgi?id=1182527

There were also few cosmetic cases (e.g. an example configuration provided in a man page) which might be updated, I've submitted patch proposals for them but since they're not Fedora specific I don't think we should pay attention to them in the context of this Change. For reference, they are:

https://bugzilla.redhat.com/show_bug.cgi?id=1182528
https://bugzilla.redhat.com/show_bug.cgi?id=1182529
https://bugzilla.redhat.com/show_bug.cgi?id=1182544

Thanks.

Comment 2 Marko Myllynen 2015-01-27 13:32:06 UTC
Anaconda developers pointed out that Lorax was also hardcoding the console font setting in one place, it has been addressed in

https://bugzilla.redhat.com/show_bug.cgi?id=1182915

Thanks.

Comment 3 Marko Myllynen 2015-02-17 08:22:23 UTC
Same one-liner needed for Anaconda/Lorax was also needed for livecd-tools, it has been addressed in

https://bugzilla.redhat.com/show_bug.cgi?id=1187499

Thanks.

Comment 4 Marko Myllynen 2015-02-17 08:30:10 UTC
Bug 1182528, bug 1182529, and bug 1187499 are in MODIFIED or POST, bug 1182544 might happen later or not at all (not needed for this). The blocker (https://bugzilla.redhat.com/show_bug.cgi?id=1146002) should be addressed by langtable-0.0.30-1.fc22 which is in f22/rawhide repos but we'll keep the bug open for a while just in case any issues are found.

Thanks.

Comment 5 Jaroslav Reznik 2015-02-20 10:01:35 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 6 Jaroslav Reznik 2015-03-24 11:41:32 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 7 Jaroslav Reznik 2015-03-31 08:18:39 UTC
Mike, Marko,
is the New Default Console Font change considered to be completed? See above. If yes, please mark it as ON_QA. Thanks.

Comment 8 Marko Myllynen 2015-04-07 12:10:57 UTC
Testing with latest F22 Beta installer things are working ok in that sense that eurlatgr is now the default console font but since langtable has the information when eurlatgr is not appropriate we could utilize that in Anaconda, thus I've filed:

https://bugzilla.redhat.com/show_bug.cgi?id=1209460

Comment 9 Petr Bokoc 2015-04-07 16:14:57 UTC
Hello Marko, we'd like to include this change in the Fedora 22 Beta Release Notes.

Please review the draft I have added into the Doc Text field, and let me know if this description is sufficient, or if there's anything you'd like to add or change.

Thanks!

Comment 10 Marko Myllynen 2015-04-07 16:37:44 UTC
Hi Petr,

(In reply to Petr Bokoc from comment #9)
> Hello Marko, we'd like to include this change in the Fedora 22 Beta Release
> Notes.
> 
> Please review the draft I have added into the Doc Text field, and let me
> know if this description is sufficient, or if there's anything you'd like to
> add or change.

looks very good, perhaps change "supports a broader range of characters from the Latin and Greek alphabets" to "supports a broader range of characters from the Latin and Greek alphabets, and additionally some commonly used symbols" or so.

The above mentioned https://bugzilla.redhat.com/show_bug.cgi?id=1209460 needs to be addressed in order to have latarcyrheb-sun16 selected for Arabic, Cyrillic, and Hebrew using alphabets.

Thanks.

Comment 11 Petr Bokoc 2015-04-08 11:19:23 UTC
Thanks for the review; added a mention of additional symbols.

Comment 12 Marko Myllynen 2015-04-14 10:08:15 UTC
(In reply to Marko Myllynen from comment #10)
> The above mentioned https://bugzilla.redhat.com/show_bug.cgi?id=1209460
> needs to be addressed in order to have latarcyrheb-sun16 selected for
> Arabic, Cyrillic, and Hebrew using alphabets.

To make this obvious let's mark 1209460 as a blocker for this bug. Thanks.

Comment 13 Adam Williamson 2015-08-04 21:28:20 UTC
Note: per a mail I just sent to the kbd@ mailing list and Marko and Mike, the feature page claims eurlatgr and latarcyrheb-sun16 should use the same glyphs for characters they share, but in fact at least one is different: the single quote (') is straight in eurlatgr but curled in latarcyrheb-sun16. This caused me some headaches in openQA testing.

Comment 14 Mike FABIAN 2015-08-05 13:53:15 UTC
Created attachment 1059469 [details]
f23-eurlat-latarcyrheb-sun16-comparison.png

Comment 15 Mike FABIAN 2015-08-05 13:57:18 UTC
(In reply to Adam Williamson from comment #13)
> Note: per a mail I just sent to the kbd@ mailing list and Marko and Mike,
> the feature page claims eurlatgr and latarcyrheb-sun16 should use the same
> glyphs for characters they share, but in fact at least one is different: the
> single quote (') is straight in eurlatgr but curled in latarcyrheb-sun16.
> This caused me some headaches in openQA testing.

Yes indeed, the glyph for

' U+0027 APOSTROPHE

looks different in eurlatgr and latarcyrheb-sun16.

The screenshots attached to comment#14 show the difference,
on the left one sees eurlatgr, on the right latarcyrheb-sun16.

http://www.unicode.org/charts/PDF/U0000.pdf says:

> 0027 ' APOSTROPHE
> = apostrophe-quote (1.0)
> = APL quote
> • neutral (vertical) glyph with mixed usage
> • 2019 ’ is preferred for apostrophe
> • preferred characters in English for paired
>   quotation marks are 2018 ‘ & 2019 ’
> • 05F3 ׳ is preferred for geresh when writing Hebrew
> → 02B9 ʹ modifier letter prime
> → 02BC ʼ modifier letter apostrophe
> → 02C8 ˈ modifier letter vertical line
> → 0301 ́ combining acute accent
> → 05F3 ׳ hebrew punctuation geresh
> → 2032 ′ prime
> → A78C ꞌ latin small letter saltillo

I.e. U+0027 should be a “neutral (vertical) glyph with mixed usage”.

Therefore, the glyph in eurlatgr seems to be the better choice.

Comment 16 Marko Myllynen 2015-08-10 12:00:11 UTC
Hi Adam,

(In reply to Adam Williamson from comment #13)
> Note: per a mail I just sent to the kbd@ mailing list and Marko and Mike,
> the feature page claims eurlatgr and latarcyrheb-sun16 should use the same
> glyphs for characters they share, but in fact at least one is different: the
> single quote (') is straight in eurlatgr but curled in latarcyrheb-sun16.
> This caused me some headaches in openQA testing.

the typeface didn't change but some individual glyphs were slightly altered (for example to make the different accented variants of a letter more consistent or to allow seeing more clearly the difference between certain characters). Since there were quite a few single/double quoting characters added, U+0027 was also slightly changed.

Sorry for the testing hickup, hopefully you got it already solved.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.